=== debian/changelog ===
qterminal (1.1.0-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 02 Sep 2022 14:16:49 -0700

qterminal (1.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Run wrap-and-sort.
  * Bump build dependencies.
  * Bump Standards-version to 4.6.1, no changes needed.
  * Bump debhelper compat to 13, no changes needed.
  * Drop some old Breaks/Replaces.
  * Upstream some useful changes from Ubuntu so we can sync.

 -- Simon Quigley <tsimonq2@debian.org>  Thu, 14 Jul 2022 14:26:41 -0500
