=== debian/changelog ===
qterminal (1.2.0-2ubuntu1) lunar; urgency=medium

  * Reverted a sync from Debian.
  * Added myself and Simon to Uploaders.
  * Bumped Standards-Version to 4.6.2, no changes necessary.
  * Removed obsolete '-Wl,--as-needed' linker flag from debian/rules.
  * Removed obsolete 'override_dh_missing' section from debian/rules.
  * Overhauled copyright file.
  * Added 'Rules-Requires-Root: no' to debian/control.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Fri, 17 Feb 2023 01:22:28 -0600

qterminal (1.2.0-0ubuntu1) lunar; urgency=medium

  * New upstream release.
  * Fix the watch file, for real this time.
  * Lubuntuify the package slightly, to make debhelper happy.
  * Bump build dependencies in debian/control.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 18 Nov 2022 19:15:47 -0600
