=== debian/control ===
Source: qterminal
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>,
           Aaron Rainbolt <arraybolt3@ubuntu.com>,
           Simon Quigley <tsimonq2@ubuntu.com>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libkf5windowsystem-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libqtermwidget5-1-dev (>= 1.2.0),
               libutf8proc-dev,
               libx11-dev,
               lxqt-build-tools (>= 0.12.0)
Standards-Version: 4.6.2
Vcs-Browser: https://git.lubuntu.me/Lubuntu/qterminal-packaging
Vcs-Git: https://git.lubuntu.me/Lubuntu/qterminal-packaging.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/qterminal
XS-Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/qterminal.git
Homepage: https://github.com/lxqt/qterminal
Rules-Requires-Root: no

Package: qterminal
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: qterminal-l10n
Provides: x-terminal-emulator
Description: Lightweight Qt terminal emulator
 QTerminal is a lightweight terminal emulator based on QTermWidget.
 .
 Among other it features
   * Split terminals (horizontally and vertically).
   * Multiple tabs.
   * Customizable shortcuts.
   * Various color schemes.

Package: qterminal-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: qttranslations5-l10n, ${misc:Depends}
Description: Language package for qterminal
 The l10n files for qterminal.
 .
 This package contains the l10n files needed by qterminal.
