## qterminal 1.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
 include(GNUInstallDirs)
 
 # qterminal version
-set(QTERMINAL_VERSION "1.2.0")
+set(QTERMINAL_VERSION "1.3.0")
 
 option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
 option(BUILD_TESTS "Builds tests" ON)
@@ -21,8 +21,8 @@
 # we need qpa/qplatformnativeinterface.h for global shortcut
 
 # Minimum Versions
-set(LXQTBT_MINIMUM_VERSION "0.12.0")
-set(QTERMWIDGET_MINIMUM_VERSION "1.2.0")
+set(LXQTBT_MINIMUM_VERSION "0.13.0")
+set(QTERMWIDGET_MINIMUM_VERSION "1.3.0")
 set(QT_MINIMUM_VERSION "5.15.0")
 
 find_package(Qt5Gui ${QT_MINIMUM_VERSION} REQUIRED)
