=== debian/control ===
--- 
+++ 
@@ -12,10 +12,10 @@
                libkf5windowsystem-dev,
                libqt5svg5-dev,
                libqt5x11extras5-dev,
-               libqtermwidget5-1-dev (>= 1.2.0),
+               libqtermwidget5-1-dev (>= 1.3.0),
                libutf8proc-dev,
                libx11-dev,
-               lxqt-build-tools (>= 0.12.0)
+               lxqt-build-tools (>= 0.13.0)
 Standards-Version: 4.6.2
 Vcs-Browser: https://git.lubuntu.me/Lubuntu/qterminal-packaging
 Vcs-Git: https://git.lubuntu.me/Lubuntu/qterminal-packaging.git
