## qterminal 1.4.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
 include(GNUInstallDirs)
 
 # qterminal version
-set(QTERMINAL_VERSION "1.3.0")
+set(QTERMINAL_VERSION "1.4.0")
 
 option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
 option(BUILD_TESTS "Builds tests" ON)
@@ -22,7 +22,7 @@
 
 # Minimum Versions
 set(LXQTBT_MINIMUM_VERSION "0.13.0")
-set(QTERMWIDGET_MINIMUM_VERSION "1.3.0")
+set(QTERMWIDGET_MINIMUM_VERSION "1.4.0")
 set(QT_MINIMUM_VERSION "5.15.0")
 
 find_package(Qt5Gui ${QT_MINIMUM_VERSION} REQUIRED)
@@ -42,6 +42,8 @@
 endif()
 
 include(LXQtPreventInSourceBuilds)
+include(FindPkgConfig)
+pkg_check_modules(LIBCANBERRA libcanberra)
 include(LXQtTranslateTs)
 include(LXQtTranslateDesktop)
 include(LXQtCompilerSettings NO_POLICY_SCOPE)
@@ -222,6 +224,12 @@
     target_link_libraries(${EXE_NAME} ${X11_X11_LIB})
 endif()
 
+if(LIBCANBERRA_FOUND)
+    add_definitions(-DHAVE_LIBCANBERRA)
+    include_directories(${LIBCANBERRA_INCLUDE_DIRS})
+    target_link_libraries(${EXE_NAME} ${LIBCANBERRA_LIBRARIES})
+endif()
+
 set(APP_DIR "${CMAKE_INSTALL_FULL_DATADIR}/qterminal")
 add_definitions(-DAPP_DIR=\"${APP_DIR}\")
