=== debian/changelog ===
qterminal (1.4.0-2) unstable; urgency=medium

  * debian/control: build-deps on qttools5-dev. (Closes:#1078312)
  * debian/control: bump to Standards-version to 4.7.0, no changes needed.
  * debian/copyright: added myself.

 -- Macy Lin <macy@debconf.org>  Wed, 11 Sep 2024 02:02:01 +0800

qterminal (1.4.0-1) unstable; urgency=medium

  * New upstream version 1.4.0
  * debian/control: build-deps on libqtermwidget5-1-dev (>= 1.4.0~).

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Tue, 12 Dec 2023 11:54:19 +0100

qterminal (1.3.0-1) unstable; urgency=medium

  * debian/control: update team address.
  * debian/control: build-deps on libqtermwidget5-1-dev (>= 1.3.0~).
  * debian/control: build-deps on lxqt-build-tools (>= 0.13.0~).
  * debian/control: bump to Standards-version to 4.6.2, no changes needed.
  * debian/copyright: update
  * New upstream version 1.3.0

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Wed, 06 Sep 2023 21:26:17 +0200

qterminal (1.2.0-2) unstable; urgency=medium

  * Merge to unstable.
  * Update d/copyright.
  * Add Rules-Requires-Root: no.
  * Remove the following unnecessary config in d/rules:
    * -Wl,--as-needed
    * --fail-missing

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 03 Dec 2022 02:29:51 +0800

qterminal (1.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Fix d/watch for GitHub.
  * Reformat d/control Depends.
  * Reformat d/copyright to sort by copyright year.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Wed, 23 Nov 2022 17:25:10 +0800
