## qterminal 2.0.1

=== debian/changelog ===
qterminal (2.0.1-0ubuntu1) oracular; urgency=medium

  * New upstream release.
  * Bump build dependencies.
  * Add layer-shell-qt to build dependencies.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Thu, 15 Aug 2024 16:28:10 -0500

qterminal (2.0.0-0ubuntu1~ppa1) oracular; urgency=medium

  * New upstream release.
  * Update copyright file.
  * Bump Standards-Version to 4.7.0, no changes necessary.
  * Adjust build dependencies.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Wed, 26 Jun 2024 13:13:17 -0500

qterminal (1.3.0-0ubuntu2) noble; urgency=medium

  * Bump build dependencies, for real this time.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 14 Nov 2023 15:29:27 -0600
