## qterminal 2.1.0

=== debian/changelog ===
qterminal (2.1.0-1) unstable; urgency=medium

  * New upstream version 2.1.0

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Fri, 13 Dec 2024 00:37:50 +0800

qterminal (2.0.1-1) unstable; urgency=medium

  * Migrate to unstable.
  * Run wrap-and-sort.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Thu, 28 Nov 2024 21:25:35 +0100

qterminal (2.0.1-1~exp1) experimental; urgency=medium

  [ Severus Septimius ]
  * New upstream release 2.0.1
  * debian/control: bump dep qttranslations5-l10n -> qt6-translations-l10n
  * debian/control: bump dep on libqtermwidget5-1-dev -> libqtermwidget-
    dev
  * debian/control: bump dep on libkf5windowsystem-dev ->
    libkf6windowsystem-dev
  * debian/control: bump dep on libqt5svg5-dev -> qt6-svg-dev
  * debian/control: remove dep on libqt5x11extras5-dev
  * debian/control: bump dep on lxqt-build-tools (>= 2.0.0+really2.0.0~)
  * debian/control: bump dep on qttools5-dev -> qt6-tools-dev

  [ EiPiFun ]
  * Add new dependencies

  [ Andrew Lee (李健秋) ]
  * Clean up of group membership after 2nd calls.
  * debian/salsa-ci.yml: build against to experimental.
  * debian/copyright: update.
  * New upstream version 2.0.1

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Mon, 07 Oct 2024 20:29:19 +0200
