=== debian/changelog ===
qterminal (2.2.1-1) unstable; urgency=medium

  * Team upload to unstable.
  * New upstream version 2.2.1. (Closes: #1097751)
  * debian/copyright: update.
  * debian/control: build-deps on liblayershellqtinterface-dev (>= 6.3.4).
  * debian/control: build-deps on libqtermwidget-dev (>= 2.2.0~).
  * debian/control: build-deps on lxqt-build-tools (>= 2.2.0~).
  * debian/control: bump to Standards-version to 4.7.2.
  * debian/copyright: update LXQT Team year.

 -- Macy Lin <macy@debconf.org>  Sun, 17 Aug 2025 22:47:21 +0200
