=== debian/control ===
--- 
+++ 
@@ -6,14 +6,14 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                libkf6windowsystem-dev,
-               liblayershellqtinterface-dev (>= 6.1.0),
-               libqtermwidget-dev (>= 2.0.1~),
+               liblayershellqtinterface-dev (>= 6.3.4),
+               libqtermwidget-dev (>= 2.2.0~),
                libutf8proc-dev,
                libx11-dev,
-               lxqt-build-tools (>= 2.0.0+really2.0.0~),
+               lxqt-build-tools (>= 2.2.0~),
                qt6-svg-dev,
                qt6-tools-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/lxqt-team/qterminal
 Vcs-Git: https://salsa.debian.org/lxqt-team/qterminal.git
 Homepage: https://github.com/lxqt/qterminal
