## qterminal 2.3.0

=== debian/changelog ===
qterminal (2.3.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.3.0
  * debian/control: build-deps on lxqt-build-tools (>= 2.3.0~).
  * debian/control: build-deps on libqtermwidget-dev (>= 2.3.0~).

 -- Macy Lin <macy@debconf.org>  Mon, 22 Dec 2025 17:50:30 +0100
