=== debian/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
 Build-Depends: debhelper-compat (= 13),
                libkf6windowsystem-dev,
                liblayershellqtinterface-dev (>= 6.3.4),
-               libqtermwidget-dev (>= 2.2.0~),
+               libqtermwidget-dev (>= 2.3.0~),
                libutf8proc-dev,
                libx11-dev,
-               lxqt-build-tools (>= 2.2.0~),
+               lxqt-build-tools (>= 2.3.0~),
                qt6-svg-dev,
                qt6-tools-dev
 Standards-Version: 4.7.2
